Name:           gnudiff
Version:        1.15
Release:        9%{?dist}
Summary:        GNU Diff for Java

License:        GPL+
URL:            http://bmsi.com/java/#diff
Source0:        http://bmsi.com/java/Diff.java
Source1:        http://central.maven.org/maven2/com/bmsi/%{name}/1.7/%{name}-1.7.pom
Patch1:         gnudiff-1.15-htmlfix.patch
BuildArch:      noarch

BuildRequires:  javapackages-local
BuildRequires:  junit

%description
The GNU diff algorithm translated to a Java class. The Diff class computes
the differences between two Object arrays as a list of changes.  This is
very general purpose.  Any of the options to GNU diff can be efficiently
implemented as variations on how Object.equals() is implemented and how the
change list is printed.  DiffPrint now sports a setOutput() method.  The
DiffPrint.Base class and derivatives should really be renamed out of the
empty package.

%package	javadoc
Summary:        Javadocs for %{name}
%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -qTc -n %{name}

cp  %{SOURCE0}  Diff.java
%patch1 

cp  %{SOURCE1}  %{name}.pom
# upstream uses an old version:
%pom_xpath_replace "/*/*[4]" "<version>%{version}</version>" %{name}.pom
# junit must not be a runtime requirement:
%pom_xpath_inject "/*/*[13]/*[1]" "<scope>test</scope>" %{name}.pom

%build
javac Diff.java -d .
jar cvf %{name}.jar bmsi/

javadoc Diff.java -d javadoc

# Tell XMvn which artifact belongs to which POM
%mvn_artifact %{name}.pom %{name}.jar


%install
%mvn_install -J javadoc/


%files -f .mfiles
%dir %{_javadir}/%{name}/
%dir %{_datadir}/maven-poms/%{name}/

%files javadoc -f .mfiles-javadoc


%changelog
* Sat Aug  27 2016 Ismael Olea <ismael@olea.org> - 1.15-9
- fixing https://bugzilla.redhat.com/show_bug.cgi?id=1307552

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug  18 2014 Ismael Olea <ismael@olea.org> - 1.15-6
- Fixing https://bugzilla.redhat.com/show_bug.cgi?id=1127879#c10

* Mon Aug  18 2014 Ismael Olea <ismael@olea.org> - 1.15-5
- suggestions at https://bugzilla.redhat.com/show_bug.cgi?id=1127879#c5

* Mon Aug  18 2014 Ismael Olea <ismael@olea.org> - 1.15-4
- suggestions at https://bugzilla.redhat.com/show_bug.cgi?id=1127879#c3

* Fri Aug  15 2014 Ismael Olea <ismael@olea.org> - 1.15-3
- mavenized

* Fri Aug  8 2014 Ismael Olea <ismael@olea.org> - 1.15-2
- renamed from java-diff to gnudiff (according to mvnrepository.com)

* Thu Aug  7 2014 Ismael Olea <ismael@olea.org> - 1.15-1
- first release

